ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::xml::model::BinData::Impl Class Reference

Private implementation details of BinData model object. More...

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
bool | bigEndian
| BigEndian property.
ome::xml::model::primitives::NonNegativeLong | length
| Length property.
ome::compat::shared_ptr< ome::xml::model::enums::Compression > | compression
| Compression property.
ome::compat::weak_ptr< ome::xml::model::Pixels > | pixels
| Pixels_BackReference back reference.
ome::compat::weak_ptr< ome::xml::model::Mask > | mask
| Mask_BackReference back reference.

## Detailed Description

Private implementation details of BinData model object.

The documentation for this class was generated from the following file:

- ome/xml/model/BinData.cpp